javax.resource.spi.work

## Class WorkAdapter

- java.lang.Object
- - javax.resource.spi.work.WorkAdapter

- All Implemented Interfaces:
    EventListener, WorkListener

      public class WorkAdapter
      extends Object
      implements WorkListener

  This class is provided as a convenience for easily creating `WorkListener` instances by extending this class and overriding only those methods of interest.
  Version:
    1.0
  Author:
    Ram Jeyaraman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `workAccepted(WorkEvent e)` Invoked when a `Work` instance has been accepted.
    `void` | `workCompleted(WorkEvent e)` Invoked when a `Work` instance has completed execution.
    `void` | `workRejected(WorkEvent e)` Invoked when a `Work` instance has been rejected.
    `void` | `workStarted(WorkEvent e)` Invoked when a `Work` instance has started execution.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkAdapter

          public WorkAdapter()

  - ### Method Detail

    - #### workAccepted

          public void workAccepted(WorkEvent e)

      Invoked when a `Work` instance has been accepted.
      Specified by:
        `workAccepted` in interface `WorkListener`
      Parameters:
        `e` - A `WorkEvent` object that provides more information about the accepted Work.

    - #### workRejected

          public void workRejected(WorkEvent e)

      Invoked when a `Work` instance has been rejected.
      Specified by:
        `workRejected` in interface `WorkListener`
      Parameters:
        `e` - A `WorkEvent` object that provides more information about the rejected Work.

    - #### workStarted

          public void workStarted(WorkEvent e)

      Invoked when a `Work` instance has started execution. This only means that a thread has been allocated.
      Specified by:
        `workStarted` in interface `WorkListener`
      Parameters:
        `e` - A `WorkEvent` object that provides more information about the rejected Work.

    - #### workCompleted

          public void workCompleted(WorkEvent e)

      Invoked when a `Work` instance has completed execution.
      Specified by:
        `workCompleted` in interface `WorkListener`
      Parameters:
        `e` - A `WorkEvent` object that provides more information about the completed Work.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.